Difference between revisions of "User talk:65kid"

From ArchWiki
Jump to: navigation, search
(minimum supported kernel version)
(3 intermediate revisions by 2 users not shown)
Line 1: Line 1:
== Audio group ==
+
==Minimum supported kernel version==
Could you please provide any proofs regarding [https://wiki.archlinux.org/index.php?title=Advanced_Linux_Sound_Architecture&curid=1008&diff=193035&oldid=192254 this]? From my standpoint things are the same as before:
+
Hi, I've started a discussion about one of your recent edits in [[ArchWiki_talk:Reports#Minimum_supported_kernel_version]], you may be interested in participating :) -- [[User:Kynikos|Kynikos]] ([[User talk:Kynikos|talk]]) 11:00, 21 June 2012 (UTC)
 
+
{{hc|ls /dev/snd/ -l|
+
total 0
+
drwxr-xr-x 2 root root      60 Apr  7 06:08 by-path
+
crw-rw---- 1 root audio 116,  7 Apr  7 06:08 controlC0
+
crw-rw---- 1 root audio 116,  6 Apr  7 06:08 hwC0D0
+
crw-rw---- 1 root audio 116,  5 Apr  7 06:08 hwC0D1
+
crw-rw---- 1 root audio 116,  4 Apr  7 06:45 pcmC0D0c
+
crw-rw---- 1 root audio 116,  3 Apr  7 06:49 pcmC0D0p
+
crw-rw---- 1 root audio 116,  2 Apr  7 06:08 pcmC0D1p
+
crw-rw---- 1 root audio 116,  1 Apr  7 06:08 seq
+
crw-rw---- 1 root audio 116, 33 Apr  7 06:08 timer}}
+
 
+
---
+
 
+
Well, it said that you must be in the audio group to play sound, which just isn't true. I have three machines and none of my users are in the audio group, nevertheless, everything works fine.
+
I can see that you need to be in the audio group to have access to /dev/snd/*, but what are these devices actually used for? If you can tell me why a user would want to have access to these devices, I'd be happy to correct the Wiki, but the statement "you need to be in the audio group to play sound" is obviously not correct.
+
 
+
: Are you using something like [[PolicyKit]]?
+
:''/dev/snd/pcmC0D0 - the raw audio device for the card<br>/dev/snd/mixerC0D0 - the mixer for card 0<br>/dev/snd/controlC0D0 - the control device for card 0''
+
:--[[User:AlexanderR|AlexanderR]] 16:12, 6 April 2012 (EDT)
+
 
+
I have polkit installed as a dependency but didn't configure it in any way.
+
 
+
[[User:65kid|65kid]] 16:21, 6 April 2012 (EDT)
+
 
+
:::If you have things like polkit and especially [[ConsoleKit]] installed and running, only their developers can say for sure how your groups are managed. And [[PulseAudio]] obviously [http://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/PerfectSetup utilizes consolekit for it's dirty deeds].
+
:::PS note that this is relevant only for Pulse, so [[ALSA]] should be left intact
+
:::--[[User:AlexanderR|AlexanderR]] 16:36, 6 April 2012 (EDT)
+
 
+
So I guess ALSA also uses ConsoleKit/PolicyKit for this (what other explanation would there be)? If yes, I would agree to add something like "If you don't use ConsoleKit/PolicyKit you need to be in the audio group", although I guess this won't apply to the majority of people.
+
 
+
[[User:65kid|65kid]] 16:49, 6 April 2012 (EDT)
+

Revision as of 11:00, 21 June 2012

Minimum supported kernel version

Hi, I've started a discussion about one of your recent edits in ArchWiki_talk:Reports#Minimum_supported_kernel_version, you may be interested in participating :) -- Kynikos (talk) 11:00, 21 June 2012 (UTC)